/*
 * Class WEL_TMPF_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_234 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_234 [] = {0xFF01,1551,233,0xFFFF};
static const EIF_TYPE_INDEX egt_2_234 [] = {0xFF01,233,0xFFFF};
static const EIF_TYPE_INDEX egt_3_234 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_234 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_234 [] = {0xFF01,233,0xFFFF};
static const EIF_TYPE_INDEX egt_6_234 [] = {0xFF01,233,0xFFFF};
static const EIF_TYPE_INDEX egt_7_234 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_234 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_234 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_234 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_234 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_234 [] = {0xFF01,233,0xFFFF};


static const struct desc_info desc_234[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_234), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_234), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_234), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_234), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_234), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_234), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_234), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_234), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_234), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_234), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_234), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_234), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D3 /*233*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_234), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4936, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4938, 0xFFFFFFFF},
};
void Init234(void)
{
	IDSC(desc_234, 0, 233);
	IDSC(desc_234 + 1, 1, 233);
	IDSC(desc_234 + 32, 871, 233);
}


#ifdef __cplusplus
}
#endif
